%define	name	callgen323
%define	version	2.0.0
%define	snap	20050322
%define	release	0.%{snap}.1mdk

%{expand:%%define o_ver %(echo v%{version}| sed "s#\.#_#g")}
%define openh323_version 1.15.3
%define pwlib_version 1.8.4

Summary:	H.323 call generator
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Communications
Source0:	%{name}-%{o_ver}-%{snap}-src.tar.bz2
Patch0:		callgen323-mak_files.diff.bz2
URL:		http://openh323.sourceforge.net/
BuildRequires:	openh323-devel >= %{openh323_version} pwlib-devel >= %{pwlib_version}
Conflicts:	vpb-devel
Requires:	openh323_1 >= %{openh323_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a very basic H.323 call generator.

%prep

%setup -q -n %{name}
%patch0 -p0

%build

%make \
    OPTCCFLAGS="%{optflags}" \
    PWLIBDIR=%{_datadir}/pwlib \
    OPENH323DIR=%{_prefix} \
    PREFIX=%{_prefix} \
    PWLIB_BUILD=1 \
    optshared \

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m0755 obj_*/%{name} %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ReadMe.txt
%attr(0755,root,root) %{_bindir}/*

%changelog
* Tue Mar 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.0-0.20050322.1mdk
- initial package
